<template>

<a
    v-on:click="$emit('click', $event)"
    class="
    cursor-pointer
    flex
    flex-col
    items-center
    justify-center
    rounded-lg
    py-1
    lg:p-2
    hover:bg-gray-200
    hover:text-blue-500
    dark:hover:bg-cgray-800
    dark:hover:text-blue-400
">
    <IconBase
        v-bind:name="icon"
        size=20
        class="
        py-1
    "/>
    {{ name }}
</a>

</template>

<script lang='ts'>

import { Component, Prop, Vue } from 'vue-property-decorator';
import IconBase from '@/components/IconBase.vue';

@Component({
    components: {
        IconBase,
    },
})
export default class C extends Vue {
    @Prop()
    private icon!: string;

    @Prop()
    private name!: string;
}

</script>
